Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jdesktop.swingx.painter.effects
Enum NeonBorderEffect.BorderPosition

    java.lang.Object
      java.lang.Enum<NeonBorderEffect.BorderPosition>
          org.jdesktop.swingx.painter.effects.NeonBorderEffect.BorderPosition

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<NeonBorderEffect.BorderPosition>

Enclosing class:
  NeonBorderEffect

    public static enum NeonBorderEffect.BorderPosition

extends java.lang.Enum<NeonBorderEffect.BorderPosition>

An enum representing the position of the border: inside, outside, or centered on the border.

Enum Constant Summary
`Centered`
`Inside`
`Outside`

Method Summary
`static NeonBorderEffect.BorderPosition` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static NeonBorderEffect.BorderPosition[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Inside

    public static final NeonBorderEffect.BorderPosition Inside

### Centered

    public static final NeonBorderEffect.BorderPosition Centered

### Outside

    public static final NeonBorderEffect.BorderPosition Outside

Method Detail

### values

    public static NeonBorderEffect.BorderPosition[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (NeonBorderEffect.BorderPosition c : NeonBorderEffect.BorderPosition.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static NeonBorderEffect.BorderPosition valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010. All Rights Reserved.